none
Permissions are insufficient or the Crystal Reports RRS feed

  • Pergunta

  • Bom dia Pessoal,

    Alguém consegue me ajudar com esse erro do Crystal abaixo

    ao passar por essa linha:

    ReportDocument reportDocument = new ReportDocument();

    que estoura o erro na tela

    Vários fóruns pedem para desinstalar a versão x64 e executar em x86, já fiz isso, removi todo o crystal de minha maquina e executei sem crystal apresenta o mesmo erro, executei o CClenear pensando que poderia ser arquivos temporários preso, mas também o erro persistiu.


    • Editado Carlos Guedes Jr segunda-feira, 18 de janeiro de 2016 13:03
    • Movido Marcos SJ segunda-feira, 18 de janeiro de 2016 18:15
    segunda-feira, 18 de janeiro de 2016 12:58

Respostas

  • Bom dia Srs. consegui resolver esse problema.

    A versão da DLL do crystal correta para meu ambiente é a 10.5... e estava a referenciado a versão 11....

    Um outro detalhe que para essa DLL do Crystal é que o framework da aplicação tem que ser 3.5 e estava setado o 4.0

    Demorei mas resolvi.

    Espero conseguir ajudar mais alguém com esse problema.

    • Marcado como Resposta Carlos Guedes Jr quarta-feira, 27 de janeiro de 2016 13:20
    quarta-feira, 27 de janeiro de 2016 13:20

Todas as Respostas

  • Cara, isto é erro de chave do produto, você fez a compra do Crystal ?

    Por favor, lembre-se de “Marcar como Resposta” as respostas que resolveram o seu problema. Essa é uma maneira comum de reconhecer aqueles que o ajudaram e fazer com que seja mais fácil para os outros visitantes encontrarem a resolução mais tarde.

    • Sugerido como Resposta Erick WendelMVP segunda-feira, 18 de janeiro de 2016 15:14
    segunda-feira, 18 de janeiro de 2016 15:14
  • Sim, está licenciado.
    segunda-feira, 18 de janeiro de 2016 18:48
  • Já tenho a licença.

    Esse erro é outro problema, versão x64 com x86, mas ainda não resolvi.

    terça-feira, 26 de janeiro de 2016 12:59
  • Bom dia Srs. consegui resolver esse problema.

    A versão da DLL do crystal correta para meu ambiente é a 10.5... e estava a referenciado a versão 11....

    Um outro detalhe que para essa DLL do Crystal é que o framework da aplicação tem que ser 3.5 e estava setado o 4.0

    Demorei mas resolvi.

    Espero conseguir ajudar mais alguém com esse problema.

    • Marcado como Resposta Carlos Guedes Jr quarta-feira, 27 de janeiro de 2016 13:20
    quarta-feira, 27 de janeiro de 2016 13:20